--- linux-2.6.27.6/include/linux/parport_pc.h	2008-11-14 01:56:21.000000000 +0800
+++ linux-2.6.27.6.yaffs/include/linux/parport_pc.h	2011-05-08 18:02:37.000000000 +0800
@@ -64,12 +64,14 @@
 #ifdef DEBUG_PARPORT
 	printk (KERN_DEBUG "parport_pc_write_data(%p,0x%02x)\n", p, d);
 #endif
-	outb(d, DATA(p));
+//printk("-addr: %lx,data:%lx---\n",p,DATA(p));
+	writeb(d, DATA(p));
 }
 
 static __inline__ unsigned char parport_pc_read_data(struct parport *p)
 {
-	unsigned char val = inb (DATA (p));
+	//unsigned char val = inb (DATA (p));
+	unsigned char val = readb (DATA (p));
 #ifdef DEBUG_PARPORT
 	printk (KERN_DEBUG "parport_pc_read_data(%p) = 0x%02x\n",
 		p, val);
@@ -81,9 +83,12 @@
 static inline void dump_parport_state (char *str, struct parport *p)
 {
 	/* here's hoping that reading these ports won't side-effect anything underneath */
-	unsigned char ecr = inb (ECONTROL (p));
-	unsigned char dcr = inb (CONTROL (p));
-	unsigned char dsr = inb (STATUS (p));
+	//unsigned char ecr = inb (ECONTROL (p));
+	unsigned char ecr = readb (ECONTROL (p));
+	//unsigned char dcr = inb (CONTROL (p));
+	unsigned char dcr = readb (CONTROL (p));
+	//unsigned char dsr = inb (STATUS (p));
+	unsigned char dsr = readb (STATUS (p));
 	static const char *const ecr_modes[] = {"SPP", "PS2", "PPFIFO", "ECP", "xXx", "yYy", "TST", "CFG"};
 	const struct parport_pc_private *priv = p->physport->private_data;
 	int i;
@@ -96,7 +101,8 @@
 	if (ecr & 0x01) printk (",f_empty");
 	for (i=0; i<2; i++) {
 		printk ("]  dcr(%s)=[", i ? "soft" : "hard");
-		dcr = i ? priv->ctr : inb (CONTROL (p));
+		//dcr = i ? priv->ctr : inb (CONTROL (p));
+		dcr = i ? priv->ctr : writeb (CONTROL (p));
 	
 		if (dcr & 0x20) {
 			printk ("rev");
@@ -137,7 +143,8 @@
 #endif
 	ctr = (ctr & ~mask) ^ val;
 	ctr &= priv->ctr_writable; /* only write writable bits. */
-	outb (ctr, CONTROL (p));
+	//outb (ctr, CONTROL (p));
+	writeb (ctr, CONTROL (p));
 	priv->ctr = ctr;	/* Update soft copy */
 	return ctr;
 }
@@ -209,7 +216,8 @@
 
 static __inline__ unsigned char parport_pc_read_status(struct parport *p)
 {
-	return inb(STATUS(p));
+	//return inb(STATUS(p));
+	return readb(STATUS(p));
 }
 
 
